package pl.alx.ping;

import android.app.Activity;
import android.os.Bundle;

public class GraActivity extends Activity {
	private static LogikaGry logika;

	@Override
	protected void onSaveInstanceState(Bundle outState) {
		outState.putSerializable("ping", logika);
		super.onSaveInstanceState(outState);
	}
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		if (savedInstanceState != null) {
			logika = (LogikaGry) savedInstanceState.getSerializable("ping");
		} else {
			logika = new LogikaGry();
		}
		GraView view = new GraView(this);
		view.setLogika(logika);
		setContentView(view);
		super.onCreate(savedInstanceState);
	}
	
}
